.question-group {
    display: grid;
    grid-row-gap: rem(10);
    grid-column-gap: rem(24);
    grid-template-columns: 1fr;

    @include media-breakpoint-up(md) {
        grid-row-gap: rem(24);
        grid-template-columns: 1fr 1fr;
    }

    @include media-breakpoint-up(lg) {
        grid-template-columns: 1fr 1fr 1fr;
    }
}

.question {
    padding: rem(25);
    color: $black;
    fill: url(#grad2);
    overflow: hidden;
    font-weight: 600;
    font-size: rem(15);
    line-height: rem(18);
    position: relative;
    background: $white;
    border-radius: 10px;
    box-shadow: 0px 5px 30px rgba(0, 0, 0, 0.07);
    display: flex;
    align-items: center;

    &__icon {
        z-index: 10;
        height: 50px;
        font-size: 0;
        line-height: 0;
        position: relative;
        display: inline-block;
        margin-right: rem(25);
        flex-shrink: 0;
    }

    &__title {
        z-index: 10;
        display: block;
        position: relative;
    }

    &:hover {
        color: $black;
        text-decoration: none;
    }

    @include media-breakpoint-up(md) {
        display: block;
        padding: rem(40);
        font-size: rem(17);
        line-height: rem(21);

        &__icon {
            height: rem(70);
            margin: 0 0 rem(30) 0;
        }
    }

    @include media-breakpoint-up(xl) {

        &:before {
            top: 0;
            left: 0;
            right: 0;
            bottom: 0;
            content: '';
            z-index: 5;
            display: block;
            position: absolute;
            background: linear-gradient(277.75deg, #312782 6.54%, #3A2582 10.04%, #951180 51.17%, #CF057E 80.04%, #E5007E 94.04%);
            opacity: 0;
            visibility: hidden;
        }

        &:hover {
            color: $white;
            fill: $white;

            &:before {
                opacity: 1;
                visibility: visible;
            }
        }
    }

    @include media-breakpoint-up(xxl) {
        padding: rem(50);
    }
}
